%define	upstream_name	 WWW-Babelfish
%define	upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Perl extension for translation via Babelfish or Google
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl-libwww-perl
BuildRequires:  perl(IO::String)
Buildarch:	noarch


%description
Perl interface to the WWW babelfish translation server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOD
n
EOD
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/WWW
%{perl_vendorlib}/auto/WWW
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-8.mga6
+ Revision: 1035702
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.160.0-7.mga6
+ Revision: 936500
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-6.mga5
+ Revision: 742413
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.160.0-5.mga5
+ Revision: 732616
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 686833
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 515897
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 374727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 31450
- mageia rebuild
- imported package perl-WWW-Babelfish


* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 409020
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.16-3mdv2009.0
+ Revision: 242149
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-1mdv2008.0
+ Revision: 20753
- 0.16


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-2mdv2007.0
+ Revision: 73442
-  Fix  BuildRequires
- Add BuildRequires
- import perl-WWW-Babelfish-0.15-1mdv2007.0

* Sat Jun 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2007.0
- New version 0.15

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- better summary
- better description
- enable tests

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.13-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Fri Aug 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- new version
- fix sources url for rpmbuildupdate

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.12-1mdk
- 0.12

